> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Return Line Item

> This endpoint gets or creates a new return line item.

### Body

<ParamField body="id" type="string">
  This is the id of the return line item.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the return line item.
</ResponseField>

<ResponseField name="amount" type="string">
  This is the amount of the return line item.
</ResponseField>

<ResponseField name="condition" type="string">
  This is the condition of the return line item.
</ResponseField>

<ResponseField name="flat_rate_shipping" type="string">
  This is the flat rate shipping of the return line item.
</ResponseField>

<ResponseField name="name" type="string">
  This is the name of the return line item.
</ResponseField>

<ResponseField name="price" type="string">
  This is the price of the return line item.
</ResponseField>

<ResponseField name="return_id" type="string">
  This is the id of the return associated with the line item.
</ResponseField>

<ResponseField name="serial_number" type="string">
  This is the serial number of the return line item.
</ResponseField>

<ResponseField name="sku" type="string">
  This is the sku of the return line item.
</ResponseField>

<ResponseField name="tax_refunded" type="string">
  This is the tax refunded of the return line item.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/return_line_item' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  }'
  ```

  ```javascript Node.js theme={null}

  var returnLineItem = await stateset.returnItem.retreive({
    id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  });

  ```

  ```python Python theme={null}

  return_line_item = stateset.return_line_item.retrieve(
    id="0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  )

  ```

  ```ruby Ruby theme={null}

  return_line_item = Stateset::ReturnLineItem.retrieve(
    id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  )

  ```

  ```php PHP theme={null}

  $return_line_item = Stateset\ReturnLineItem::retrieve(
    "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  );

  ```

  ```go Go theme={null}

  returnLineItem, err := stateset.ReturnLineItem.Retrieve(
    "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  )

  ```

  ```java Java theme={null}

  ReturnLineItem returnLineItem = stateset.returnLineItem.retrieve(
    "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data": {
          "insert_return_line_items": {
              "returning": [
                  {
                      "id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
                      "sku": "123456789",
                      "name": "Example Item",
                      "price": 100,
                      "condition": "New",
                      "serial_number": "123456789",
                      "amount": 1,
                      "return_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
                  }
              ]
          }
      }
  }

  ```
</ResponseExample>
